### Method

# Gimp Config serialize_changed_properties

#### Declaration [src]

    gboolean
    gimp_config_serialize_changed_properties (
      GimpConfig* config,
      GimpConfigWriter* writer
    )

#### Description [src]

This function writes all object properties that have been changed from their default values to the `writer`.

Available since: | 2.4

#### Parameters

`writer` | `GimpConfigWriter`
| A `GimpConfigWriter`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if serialization succeeded, `FALSE` otherwise.